<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use App\Entity\Species;
use App\Form\SpeciesType;
use Doctrine\ORM\EntityManagerInterface;

class SpeciesController extends AbstractController
{
    #[Route('/species', name: 'app_species')]
    public function new(Request $request, EntityManagerInterface $entityManager): Response
    {
        $species = new Species();

        $form = $this->createForm(SpeciesType::class, $species);

        $form->handleRequest($request);
        if ($form->isSubmitted() && $form->isValid()) {

            $species = $form->getData();
            
            $entityManager->persist($species);
            $entityManager->flush();

            return $this->redirectToRoute('_profiler_home');
        }

        return $this->render('species/species.html.twig', [
            'form' => $form->createView(),
        ]);
    }
}
